
import java.util.*;
import java.awt.*;
import java.awt.event.*;

public class LicenseNumberFactoryView  {

	/**
	 *  The factory associated with this factory view
	 */
	private LicenseNumberFactory licenseNumberFactory_;
	public LicenseNumberFactory licenseNumberFactory() { return licenseNumberFactory_; }
	public void licenseNumberFactory( LicenseNumberFactory aLicenseNumberFactory ) { licenseNumberFactory_ = aLicenseNumberFactory; }
    
    public static void main(String args[])  {
        LicenseNumberFactoryView aLicenseNumberFactoryView
                                = new LicenseNumberFactoryView();
        aLicenseNumberFactoryView.licenseNumberFactory().startProducing();
    }
    
    public LicenseNumberFactoryView()  {
        this.initialize();
    }
    
    private void initialize() {
        this.licenseNumberFactory(new LicenseNumberFactory());
    }

}